Ben
Burton
bab@debian.org
7 april 2003
fixincludes
1

# `fixincludes`

Verlaagt het aantal #includes in de bronbestanden van &kde;

    fixincludes -v, --verbose -e, --experimental -m, --modify file --help

## Beschrijving

`fixuifiles` probeert het aantal #includes in C++-bronbestanden te verlagen. Deze procedure is specifiek voor KDE-bronnen en het hoeft dus niet goed te werken voor bronnen die niet bij KDE horen.

De volgende probleemgevallen kunnen gevonden worden door `fixuifiles`:

- Ingevoegde headers die niet langer meer ondersteund worden, maar enkel bestaan om oudere Qt/KDE-versies te ondersteunen;

- Het invoegen van dezelfde header in hetzelfde bestand.

Er is ook een experimentele modus, welke probeert één voor één een header te verwijderen en controleert of het bestand nog steeds compileert. Opmerking: deze experimentele modus past de originele broncode aan.

De bronbestanden zullen standaard niet aangepast worden, de gevonden probleemgevallen zullen naar de standaard uitvoer geschreven worden.

De lijst van C++-bestanden dient op de commandoregel opgegeven te worden. Wanneer er geen bestanden gegeven zijn, zullen alle C++-bronnen in de huidige map of in onderliggende mappen gecontroleerd worden (met uitzondering van mappen welke een `Makefile.am` hebben die `-UQT_NO_COMPAT` of `-UKDE_NO_COMPAT` bevatten).

Dit hulpmiddel is een onderdeel van het software-ontwikkelpakket van &kde;.

## Opties

`-v, --verbose`

  Veel informatie op standaard uitvoer. Extra debuginformatie zal getoond worden op de standaard uitvoer.

`-e, --experimental`

  Experimentele modus, zoals deze hierboven werd beschreven. Deze optie neemt ook automatisch de optie `--modify` mee.

`-m, --modify`

  Naast het tonen van de uitvoer op de standaard uitvoer, zullen alle probleemgevallen ook meteen opgelost worden in de bronbestanden.

## Auteurs

`fixuifiles` is geschreven door Dirk Mueller mueller@kde.org.